RHEL 8:Red Hat OpenStack Platform 16.2 (openstack-barbican) (RHSA-2022: 5114)

high Nessus Plugin ID 162487

Synopsis

遠端 Red Hat 主機缺少一個或多個安全性更新。

描述

遠端 Redhat Enterprise Linux 8 主機上安裝的多個套件受到 RHSA-2022: 5114 公告中所提及的多個弱點影響。

- openstack-barbican:Barbican 允許經驗證的使用者在任何密碼上新增/修改/刪除任意中繼資料 (CVE-2022-23451)

- openstack-barbican:Barbican 允許任何具有管理員角色的人將其密碼新增至不同專案的容器 (CVE-2022-23452)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

更新受影響的套件。

另請參閱

https://access.redhat.com/security/cve/CVE-2022-23451

https://access.redhat.com/security/cve/CVE-2022-23452

https://access.redhat.com/errata/RHSA-2022:5114

https://bugzilla.redhat.com/2025089

https://bugzilla.redhat.com/2025090

Plugin 詳細資訊

嚴重性: High

ID: 162487

檔案名稱: redhat-RHSA-2022-5114.nasl

版本: 1.2

類型: local

代理程式: unix

已發布: 2022/6/22

已更新: 2022/6/22

支持的傳感器: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 4.2

CVSS v2

風險因素: Medium

基本分數: 5.5

時間分數: 4.1

媒介: CVSS2#AV:N/AC:L/Au:S/C:N/I:P/A:P

時間媒介: CVSS2#E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2022-23451

CVSS v3

風險因素: High

基本分數: 7.1

時間分數: 6.2

媒介: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:L

時間媒介: CVSS:3.0/E:U/RL:O/RC:C

弱點資訊

CPE: cpe:2.3:o:redhat:enterprise_linux:8:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:openstack-barbican:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:openstack-barbican-api:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:openstack-barbican-common:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:openstack-barbican-keystone-listener:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:openstack-barbican-worker:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:python3-barbican:*:*:*:*:*:*:*

必要的 KB 項目: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2022/6/22

弱點發布日期: 2022/6/22

參考資訊

CVE: CVE-2022-23451, CVE-2022-23452

CWE: 863

RHSA: 2022:5114